GET
/
v1
/
teams
/
{teamId}
/
content
/
artifact-runs
/
{runId}
/
chat
/
stream
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.streamContentArtifactRunChat({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
  query: {},
})
"<string>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

runId
string<uuid>
required

Artifact run id (UUID), as returned by slideshow generation or slide regeneration.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

afterSeq
string

a string to be decoded into a number

Response

a string

The response is of type string.